Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 226029 - Merge Review: libidn
Summary: Merge Review: libidn
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Gwyn Ciesla
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks: F9MergeReviewTarget
TreeView+ depends on / blocked
 
Reported: 2007-01-31 19:25 UTC by Nobody's working on this, feel free to take it
Modified: 2010-08-02 20:00 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-02-07 15:56:07 UTC
gwync: fedora-review+


Attachments (Terms of Use)
Patch to correct encodings. (deleted)
2007-12-26 20:50 UTC, Gwyn Ciesla
no flags Details | Diff
Second patch to fix buildroot tag. (deleted)
2007-12-26 21:32 UTC, Gwyn Ciesla
no flags Details | Diff

Description Nobody's working on this, feel free to take it 2007-01-31 19:25:30 UTC
Fedora Merge Review: libidn

http://cvs.fedora.redhat.com/viewcvs/devel/libidn/
Initial Owner: jorton@redhat.com

Comment 1 Gwyn Ciesla 2007-12-26 20:18:20 UTC
rpmlint for SRPM is clean.
For RPM:
libidn.i386: W: file-not-utf8 /usr/share/info/libidn.info.gz
The character encoding of this file is not UTF-8.  Consider converting it
in the specfile for example using iconv(1).

libidn-devel.i386: W: file-not-utf8
/usr/share/doc/libidn-devel-0.6.14/examples/example3.c
The character encoding of this file is not UTF-8.  Consider converting it
in the specfile for example using iconv(1).

libidn-devel.i386: W: file-not-utf8
/usr/share/doc/libidn-devel-0.6.14/examples/example4.c
The character encoding of this file is not UTF-8.  Consider converting it
in the specfile for example using iconv(1).

libidn-devel.i386: W: file-not-utf8
/usr/share/doc/libidn-devel-0.6.14/examples/example.c
The character encoding of this file is not UTF-8.  Consider converting it
in the specfile for example using iconv(1).


In the spec, running something like iconv -f ISO-8859 -t UTF-8 filename should
do the trick.

Comment 2 Gwyn Ciesla 2007-12-26 20:50:52 UTC
Created attachment 290422 [details]
Patch to correct encodings.

Comment 3 Gwyn Ciesla 2007-12-26 20:59:03 UTC
Use %{buildroot} or $RPM_BUILD_ROOT, not both.

Use one of the 3 approved buildroot values:
%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
%{_tmppath}/%{name}-%{version}-%{release}-root

Otherwise, it looks good, no other blockers.

Comment 4 Gwyn Ciesla 2007-12-26 21:32:59 UTC
Created attachment 290427 [details]
Second patch to fix buildroot tag.

Comment 5 Joe Orton 2008-02-07 15:33:24 UTC
The encodings of at least some of the example C code is deliberate; it's not
right to convert those to UTF-8.  I've applied the patch to convert the info
file though, and also the BuildRoot tag fix - thanks a lot!

http://koji.fedoraproject.org/koji/buildinfo?buildID=34473

Comment 6 Gwyn Ciesla 2008-02-07 15:56:07 UTC
Fabulous, APPROVED.

You're very welcome!

Comment 7 Paul Howarth 2010-08-02 20:00:25 UTC
(In reply to comment #5)
> The encodings of at least some of the example C code is deliberate; it's not
> right to convert those to UTF-8.  I've applied the patch to convert the info
> file though,

Actually the same can be said of the info file, and the INFO-DIR-SECTION bits don't mention GNU any more, so the sed in %prep isn't having any effect now.


Note You need to log in before you can comment on or make changes to this bug.